Skip to main content
POST
Deprecated — Create a deal under a contract
Creates a deal under a contract. POST /realms/{realmId}/organizations/{organizationId}/deals takes the same body and creates the deal for your organization alone, with no contract.

Path Parameters

realmId
string
required
organizationId
string
required
contractId
string
required

Response

201 - application/json

Successful response

id
string
required
realm
string
required
organization
string
required
chargeType
enum<string>
required
Available options:
SINGLE,
RECURRENT,
SUBSCRIPTION
status
enum<string>
required
Available options:
OPEN,
CANCELED,
TERMINATED,
EXPIRED,
REVOKED
startAt
string<date-time>
required
products
object[]
required
paymentMethods
enum<string>[]
required
Available options:
BANK_SLIP,
PIX_INITIATION,
PIX_AUTOMATIC,
PIX,
P2P
creditParties
object[]
required
debitParties
object[]
required
closingAt
string
required
firstChargeDate
string<date-time>
required
numberOfInstallments
number
required
dueAt
string
required
createdBy
string
required
updatedBy
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
description
string
contract
string
endAt
string<date-time> | null
secondaryPaymentMethods
enum<string>[]
Available options:
BANK_SLIP,
PIX_INITIATION,
PIX_AUTOMATIC,
PIX,
P2P
fine
object
interest
object
discount
object
paymentUrl
string
settings
object
externalCard
object